%define gitver %(echo %version | tr _ -)
Name:          runc
Version:       1.1.13
Release:       1mamba
Summary:       runc container cli tools
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://opencontainers.org/
Source:        https://github.com/opencontainers/runc.git/v%{gitver}/runc-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libseccomp-devel
## AUTOBUILDREQ-END
BuildRequires: go

%description
runc container cli tools.

%debug_package

%prep
%setup -q
mkdir -p src/github.com/opencontainers
ln -sf `pwd` src/github.com/opencontainers/runc

%build
export GOPATH=`pwd`
cd src/github.com/opencontainers/runc
export BUILDTAGS='seccomp apparmor'

# Required since Go 1.16
export GO111MODULE=off

%make
man/md2man-all.sh 2>/dev/null

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -Dm755 runc %{buildroot}%{_bindir}/runc
install -dm755 %{buildroot}%{_mandir}
mv man/man*/ %{buildroot}%{_mandir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/runc
%{_mandir}/man8/runc*.8*
%doc LICENSE

%changelog
* Fri Jun 14 2024 Automatic Build System <autodist@openmamba.org> 1.1.13-1mamba
- automatic version update by autodist

* Thu Feb 01 2024 Automatic Build System <autodist@openmamba.org> 1.1.12-1mamba
- automatic version update by autodist

* Tue Jan 02 2024 Automatic Build System <autodist@mambasoft.it> 1.1.11-1mamba
- automatic version update by autodist

* Wed Nov 01 2023 Automatic Build System <autodist@mambasoft.it> 1.1.10-1mamba
- automatic version update by autodist

* Sat Aug 12 2023 Automatic Build System <autodist@mambasoft.it> 1.1.9-1mamba
- automatic version update by autodist

* Thu Jul 20 2023 Automatic Build System <autodist@mambasoft.it> 1.1.8-1mamba
- automatic version update by autodist

* Fri Apr 28 2023 Automatic Build System <autodist@mambasoft.it> 1.1.7-1mamba
- automatic version update by autodist

* Thu Apr 13 2023 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic version update by autodist

* Fri Aug 26 2022 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Fri Jun 10 2022 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Fri May 13 2022 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Tue Mar 29 2022 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Tue Jan 18 2022 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Tue Dec 07 2021 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Tue Aug 24 2021 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Wed Aug 04 2021 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Wed Nov 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0_rc9-1mamba
- update to 1.0.0_rc9

* Thu Apr 19 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0_rc5-1mamba
- update to 1.0.0_rc5

* Fri Jul 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-1mamba
- package created using the webbuild interface
